// file: cdm_set_0.cc
//

// isip include files
//
#include "cd_model.h"
#include "cd_model_constants.h"

// method: set_num_states_cc
//
// arguments:
//       int_4 num_states: (input) number of states
//
// return : a logical value showing status
//
// this method set the index of the state at the given postion 
//
logical_1 Cd_model::set_num_states_cc(int_4 num_states_a) {

  num_states_d= num_states_a;

  if(num_states_d>0) {
    states_ind_d = new int_4[num_states_d];
  }
  
  // exist gracefully
  //
  return ISIP_TRUE;
}
